{extends file="helpers/form/form.tpl"}

{block name="script"}
$(document).ready(function(){
if ( !$( "#title" ).length ) {
    $('.entity').parent().parent().parent().prepend('<div id="title" class="form-group">'+
    '<div class="row"><div class="col-lg-3 control-label">Item</div><div class="col-lg-9"><div class="row">'+
    '<div class="col-md-1 control-label" style="text-align:left;" data-toggle="tooltip" data-placement="top" title="Available for 3 levels menu">MegaMenu</div>'+
    '<div class="col-md-1 control-label" style="text-align:left;">Desktops</div>'+
    '<div class="col-md-1 control-label" style="text-align:left;">Laptops</div>'+
    '<div class="col-md-1 control-label" style="text-align:left;">Tablets</div>'+
    '<div class="col-md-1 control-label" style="text-align:left;">Phones</div>'+
    '<div class="col-md-1 control-label" style="text-align:left;">Menu width</div>'+
    '</div></div></div></div>');
}

$('#module_form_2 table th:nth-child(2), #module_form_2 table td:nth-child(2)').attr('class', 'hidden');
$('#module_form_2 table th:nth-child(3)').text('Item name');
$('#menuOrderUp').click(function(e){
	e.preventDefault();
    move(true);
});
$('#menuOrderDown').click(function(e){
    e.preventDefault();
    move();
});

$('select.mode').change(function(){ 
    var value = $(this).val();
    var id = $(this).attr('data-attr-input');
    if (value == 'custom') {
        $('#'+id).fadeIn('fast');
    } else {
        $('#'+id).fadeOut('fast');
    }
});


$("#items").closest('form').on('submit', function(e) {
	$("#items option").prop('selected', true);
});
$("#addItem").click(add);
$("#availableItems").dblclick(add);
$("#removeItem").click(remove);
$("#items").dblclick(remove);
function add()
{
	$("#availableItems option:selected").each(function(i){
		var val = $(this).val();
		var text = $(this).text();
		text = text.replace(/(^\s*)|(\s*$)/gi,"");
		if (val == "PRODUCT")
		{
			val = prompt('{l s="Indicate the ID number for the product" mod='blocktopmenu_mod' js=1}');
			if (val == null || val == "" || isNaN(val))
				return;
			text = '{l s="Product ID #" mod='blocktopmenu_mod' js=1}'+val;
			val = "PRD"+val;
		}
		$("#items").append('<option value="'+val+'" selected="selected">'+text+'</option>');
        $('#availableItems option:selected').removeAttr('selected');
	});
	serialize();
	return false;
}
function remove()
{
	$("#items option:selected").each(function(i){
		$(this).remove();
	});
	serialize();
	return false;
}
function serialize()
{
	var options = "";
	$("#items option").each(function(i){
		options += $(this).val()+",";
	});
	$("#itemsInput").val(options.substr(0, options.length - 1));
}
function move(up)
{
        var tomove = $('#items option:selected');
        if (tomove.length >1)
        {
                alert('{l s="Please select just one item" mod='blocktopmenu_mod'}');
                return false;
        }
        if (up)
                tomove.prev().insertAfter(tomove);
        else
                tomove.next().insertBefore(tomove);
        serialize();
        return false;
}
});
{/block}

{block name="input"}
    {if $input.type == 'select'}
        {if isset($input.options.query) && !$input.options.query && isset($input.empty_message)}
            {$input.empty_message}
            {$input.required = false}
            {$input.desc = null}
        {else}
            <div class="row entity">
                <div class="col-md-1">
                    <select name="{$input.name|escape:'html':'utf-8'}"
                            class="{if isset($input.class)}{$input.class|escape:'html':'utf-8'}{/if}"
                            id="{if isset($input.id)}{$input.id|escape:'html':'utf-8'}{else}{$input.name|escape:'html':'utf-8'}{/if}"
                            {if isset($input.multiple) && $input.multiple} multiple="multiple"{/if}
                            {if isset($input.size)} size="{$input.size|escape:'html':'utf-8'}"{/if}
                            {if isset($input.onchange)} onchange="{$input.onchange|escape:'html':'utf-8'}"{/if}
                            {if isset($input.disabled) && $input.disabled} disabled="disabled"{/if}>
                        {if isset($input.options.default)}
                            <option value="{$input.options.default.value|escape:'html':'utf-8'}">{$input.options.default.label|escape:'html':'utf-8'}</option>
                        {/if}
                    
                        {foreach $input.options.query AS $option}
                            {if is_object($option)}
                                <option value="{$option->$input.options.id}"
                                    {if isset($input.multiple)}
                                        {foreach $fields_value[$input.name] as $field_value}
                                            {if $field_value == $option->$input.options.id}
                                                selected="selected"
                                            {/if}
                                        {/foreach}
                                    {else}
                                        {if $fields_value[$input.name] == $option->$input.options.id}
                                            selected="selected"
                                        {/if}
                                    {/if}
                                >{$option->$input.options.name}</option>
                            {elseif $option == "-"}
                                <option value="">-</option>
                            {else}
                                <option value="{$option[$input.options.id]}"
                                    {if isset($input.multiple)}
                                        {foreach $fields_value[$input.name] as $field_value}
                                            {if $field_value == $option[$input.options.id]}
                                                selected="selected"
                                            {/if}
                                        {/foreach}
                                    {else}
                                        {if $fields_value[$input.name] == $option[$input.options.id]}
                                            selected="selected"
                                        {/if}
                                    {/if}
                                >{$option[$input.options.name]}</option>

                            {/if}
                        {/foreach}

                    </select>
                </div>

                {assign var=columns value=['', 1, 2, 3, 4, 6, 12]}
                {assign var=count value=4}
                {foreach $layouts AS $layout}
                    <div class="col-md-1">
                        <select name="{$input.name|escape:'html':'utf-8'}_LAYOUT_{$layout}" class="{if isset($input.class)}{$input.class|escape:'html':'utf-8'}{/if} fixed-width-xs">
                            {foreach $columns AS $column}
                                {if $column}
                                    {assign var=value value=12/$column}
                                {else}
                                    {assign var=value value=''}
                                {/if}
                                {capture name="v"}{$params[$input.name][$count]}{/capture}
                                {assign var=sl value=false}
                                {if $smarty.capture.v eq $column}
                                    {assign var=sl value=true}
                                {/if}
                                <option value="{$column}" {if isset($sl) && $sl}selected="true"{/if}>{$column}</option>
                            {/foreach}
                            {assign var=count value=$count+1}
                        </select>
                    </div>
                {/foreach}

                {assign var=inputId value="{if isset($input.id)}{$input.id|escape:'html':'utf-8'}{else}{$input.name|escape:'html':'utf-8'}{/if}_CUSTOM"}
                {assign var=selected value=false}
                <div class="col-md-1">
                    <select name="{$input.name|escape:'html':'utf-8'}_MODE"
                            class="{if isset($input.class)}{$input.class|escape:'html':'utf-8'}{/if} mode"
                            id="{if isset($input.id)}{$input.id|escape:'html':'utf-8'}{else}{$input.name|escape:'html':'utf-8'}{/if}_MODE"
                            {if isset($input.multiple) && $input.multiple} multiple="multiple"{/if}
                            {if isset($input.size)} size="{$input.size|escape:'html':'utf-8'}"{/if}
                            {if isset($input.onchange)} onchange="{$input.onchange|escape:'html':'utf-8'}"{/if}
                            {if isset($input.disabled) && $input.disabled} disabled="disabled"{/if}
                            data-attr-input="{$inputId}">
                        {if isset($input.options.default)}
                            <option value="{$input.options.default.value|escape:'html':'utf-8'}">{$input.options.default.label|escape:'html':'utf-8'}</option>
                        {/if}

                        {foreach $modes AS $mode}
                            {if $params[$input.name][1] eq $mode['value']}
                                {assign var=selected value=true}
                            {else}
                                {assign var=selected value=false}
                            {/if}
                            <option value="{$mode['value']}" {if $selected}selected="selected"{/if}>{$mode['name']}</option>
                        {/foreach}

                    </select>
                </div>
                
                <div class="col-md-1">
                    <input type="number" name="{$input.name|escape:'html':'utf-8'}_CUSTOM"
                            class="{if isset($input.class)}{$input.class|escape:'html':'utf-8'}{/if} form-control" placeholder="width"
                            id="{$inputId}" {if !$selected}style="display: none;"{/if} value="{$params[$input.name][2]}">
                </div>
                
                <div class="col-md-1">
                    <select name="{$input.name|escape:'html':'utf-8'}_UNIT"
                            class="{if isset($input.class)}{$input.class|escape:'html':'utf-8'}{/if} fixed-width-xs hidden"
                            {if !$selected}style="display: none;"{/if} id="{$inputId}_UNIT">
                        {foreach $units AS $unit}
                            <option value="{$unit['value']}" {if $params[$input.name][3] eq $unit['value']}selected="selected"{/if}>{$unit['name']}</option>
                        {/foreach}

                    </select>
                </div>

            </div>
                
        {/if}
    {elseif $input.type == 'link_choice'}
	    <div class="row">
	    	<div class="col-lg-1">
	    		<h4 style="margin-top:5px;">{l s='Change position' mod='blocktopmenu_mod'}</h4> 
                <a href="#" id="menuOrderUp" class="btn btn-default" style="font-size:20px;display:block;"><i class="icon-chevron-up"></i></a><br/>
                <a href="#" id="menuOrderDown" class="btn btn-default" style="font-size:20px;display:block;"><i class="icon-chevron-down"></i></a><br/>
	    	</div>
	    	<div class="col-lg-4">
	    		<h4 style="margin-top:5px;">{l s='Selected items' mod='blocktopmenu_mod'}</h4>
	    		{$selected_links}
	    	</div>
	    	<div class="col-lg-4">
	    		<h4 style="margin-top:5px;">{l s='Available items' mod='blocktopmenu_mod'}</h4>
	    		{$choices}
	    	</div>
	    	
	    </div>
	    <br/>
	    <div class="row">
	    	<div class="col-lg-1"></div>
	    	<div class="col-lg-4"><a href="#" id="removeItem" class="btn btn-default"><i class="icon-arrow-right"></i> {l s='Remove' mod='blocktopmenu_mod'}</a></div>
	    	<div class="col-lg-4"><a href="#" id="addItem" class="btn btn-default"><i class="icon-arrow-left"></i> {l s='Add' mod='blocktopmenu_mod'}</a></div>
	    </div>
	{else}
		{$smarty.block.parent}
    {/if}
{/block}